-- try to get a script context, will be .nil, if script was not invoked by OOo
call "UNO_API_info"     -- incorporate all public routines and classes


xDesktop = UNO.createDesktop()~XDesktop   -- create Desktop object, query XDesktop interface

say "ooRexx: invoking 'analyzeAndCreateReference' using an UNO object from the running program..."
call analyzeAndCreateReference xDesktop
say "---"


say "ooRexx: invoking 'analyzeAndCreateReference' using an UNO IDL string and rendering options..."
   -- define options
options = .directory~new
options~NrOfLayers          =2  -- 2=show two levels deep
options~View                =1  -- 1=view in writer
options~DocumentationSource =1  -- 1=use Internet (base url
options~NumberingTypeLevel_1=0  -- 0=Alpha Uppercase
options~NumberingTypeLevel_2=4  -- 4=arabic
options~NumberingTypeLevel_3=3  -- 3=roman lower
options~FontName            ="DejaVu Sans Condensed"

call analyzeAndCreateReference "com.sun.star.frame.Desktop", options
say "---"

::requires UNO.CLS   -- get the UNO-support (includes BSF.CLS, i.e. Java-support)

/*
    ------------------------ Apache Version 2.0 license -------------------------
       Copyright (C) 2009 Rony G. Flatscher

       Licensed under the Apache License, Version 2.0 (the "License");
       you may not use this file except in compliance with the License.
       You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing, software
       distributed under the License is distributed on an "AS IS" BASIS,
       WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       See the License for the specific language governing permissions and
       limitations under the License.
    -----------------------------------------------------------------------------
*/
